[SeaMonkey] mochitest-chrome: "TEST-UNEXPECTED-FAIL / test_crash_submit.xul / EventUtils.js, line 60: aTarget is null"

VERIFIED FIXED in mozilla2.0b12

Status

()

Toolkit
Crash Reporting
--
major
VERIFIED FIXED
8 years ago
7 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

(Blocks: 1 bug)

Trunk
mozilla2.0b12
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(status1.9.2 .17-fixed)

Details

(Whiteboard: [perma-orange], URL)

Attachments

(2 attachments)

(Assignee)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1286983082.1286986372.31690.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2010/10/13 08:18:02
{
7336 INFO TEST-START | chrome://mochitests/content/chrome/modules/plugin/test/test_crash_submit.xul
WARNING: NS_ENSURE_TRUE(sf) failed: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/docshell/base/nsDocShell.cpp, line 4913
WARNING: NS_ENSURE_TRUE(sf) failed: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/docshell/base/nsDocShell.cpp, line 4913
WARNING: Unable to retrieve pref: plugins.unloadASAP: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/modules/plugin/base/src/nsPluginHost.cpp, line 316
++DOMWINDOW == 37 (14516290) [serial = 723] [outer = 05B92780]
For application/x-test found plugin nptest.dll
WARNING: Connect called twice: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 178
### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to c:\docume~1\seabld\locals~1\temp\tmpov18l9\runtests_leaks_plugin_pid2112.log
WARNING: Connect called twice: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 178
nsStringStats
 => mAllocCount:             63
 => mReallocCount:            0
 => mFreeCount:              12  --  LEAKED 51 !!!
 => mShareCount:            104
 => mAdoptCount:              0
 => mAdoptFreeCount:          0

###!!! [Parent][RPCChannel] Error: Channel error: cannot send/recv

WARNING: Failed to send message!: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/dom/plugins/PluginScriptableObjectParent.cpp, line 219
WARNING: Unable to retrieve pref: plugins.unloadASAP: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/modules/plugin/base/src/nsPluginHost.cpp, line 316
7337 INFO TEST-PASS | chrome://mochitests/content/chrome/modules/plugin/test/test_crash_submit.xul | Plugin crashed notification received
7338 INFO TEST-PASS | chrome://mochitests/content/chrome/modules/plugin/test/test_crash_submit.xul | event is correct type - "PluginCrashed" should equal "PluginCrashed"
NEXT ERROR 7339 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/modules/plugin/test/test_crash_submit.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - aTarget is null at chrome://mochikit/content/tests/SimpleTest/EventUtils.js:60
JavaScript error: chrome://mochikit/content/tests/SimpleTest/EventUtils.js, line 60: aTarget is null
7340 INFO SimpleTest finished chrome://mochitests/content/chrome/modules/plugin/test/test_crash_submit.xul in 1194ms
}

http://brasstacks.mozilla.com/topfails/tests/SeaMonkey
doesn't list this failure :-(
(Assignee)

Comment 1

8 years ago
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey&maxdate=1285271135&hours=24&legend=0&norules=1

Last good:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1285210533.1285216028.6024.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2010/09/22 19:55:33
rev:9f57d359479c
moz:56dc8de1e8a0

First bad:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1285239322.1285245681.7666.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2010/09/23 03:55:22
rev:2caef1a38423
moz:80608d8e6d00

Regression timeframes:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=56dc8de1e8a0&tochange=80608d8e6d00
Nothing obvious.
http://hg.mozilla.org/comm-central/pushloghtml?fromchange=9f57d359479c&tochange=2caef1a38423
Most likely
Bug 545716 - (SM-OOPP) Use out-of-process-plugins (OOPP) framework in SeaMonkey
Blocks: 545716
Severity: normal → major
(Assignee)

Comment 2

8 years ago
Ftr,
this test is currently fully disabled on Linux,
and exists early on MacOSX as OOP is not enabled.

***

Test code is:
85 function onPluginCrashed(aEvent) {
86   ok(true, "Plugin crashed notification received");
87   is(aEvent.type, "PluginCrashed", "event is correct type");
88 
89   let pleaseLink = document.getAnonymousElementByAttribute(
90                             aEvent.target, "class", "pleaseSubmitLink");
91   // try to submit this report
92   sendMouseEvent({type:'click'}, pleaseLink, window);
93 }

I assume this depends on bug 601493.
Depends on: 601493
(Assignee)

Comment 3

8 years ago
Created attachment 496490 [details] [diff] [review]
(Av1) Skip this test on Seamonkey ftb
[Checked in: Comment 8]
Attachment #496490 - Flags: review?
(Assignee)

Updated

8 years ago
Attachment #496490 - Flags: review? → review?(jst)
(Assignee)

Comment 4

8 years ago
Created attachment 496491 [details] [diff] [review]
(Bv1) s/ok(true/todo(false/ when test plugin is not OOP
[Checked in: Comment 9 & 10]
Attachment #496491 - Flags: review?(jst)
(Assignee)

Comment 5

7 years ago
jst, ping for review.

This bug is the (remaining) one causing perma-orange on this suite.
(Assignee)

Comment 6

7 years ago
Maybe it used to be Windows only, now it's All/All.
(not reported on OSX 10.5, but anyway.)
OS: Windows Server 2003 → All
Hardware: x86 → All
(Assignee)

Updated

7 years ago
Summary: [Windows SeaMonkey] mochitest-chrome: "TEST-UNEXPECTED-FAIL / test_crash_submit.xul / EventUtils.js, line 60: aTarget is null" → [SeaMonkey] mochitest-chrome: "TEST-UNEXPECTED-FAIL / test_crash_submit.xul / EventUtils.js, line 60: aTarget is null"
(Assignee)

Updated

7 years ago
Attachment #496490 - Flags: review?(joshmoz)
(Assignee)

Updated

7 years ago
Attachment #496491 - Flags: review?(joshmoz)

Comment 7

7 years ago
Comment on attachment 496490 [details] [diff] [review]
(Av1) Skip this test on Seamonkey ftb
[Checked in: Comment 8]

Fine with me, though I don't know if this is how we normally handle this situation.
Attachment #496490 - Flags: review?(joshmoz) → review+

Updated

7 years ago
Attachment #496491 - Flags: review?(joshmoz) → review+
(Assignee)

Comment 8

7 years ago
Comment on attachment 496490 [details] [diff] [review]
(Av1) Skip this test on Seamonkey ftb
[Checked in: Comment 8]

http://hg.mozilla.org/mozilla-central/rev/6d6899c557cf
Attachment #496490 - Attachment description: (Av1) Skip this test on Seamonkey ftb → (Av1) Skip this test on Seamonkey ftb [Checked in: Comment 8]
Attachment #496490 - Flags: review?(jst)
(Assignee)

Comment 9

7 years ago
Comment on attachment 496491 [details] [diff] [review]
(Bv1) s/ok(true/todo(false/ when test plugin is not OOP
[Checked in: Comment 9 & 10]

http://hg.mozilla.org/mozilla-central/rev/ae4835ed6201
Attachment #496491 - Attachment description: (Bv1) s/ok(true/todo(false/ when test plugin is not OOP → (Bv1) s/ok(true/todo(false/ when test plugin is not OOP [Checked in: Comment 9]
Attachment #496491 - Flags: review?(jst)
(Assignee)

Updated

7 years ago
Assignee: nobody → sgautherie.bz
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Target Milestone: --- → mozilla2.0b12
(Assignee)

Comment 10

7 years ago
Comment on attachment 496491 [details] [diff] [review]
(Bv1) s/ok(true/todo(false/ when test plugin is not OOP
[Checked in: Comment 9 & 10]

http://hg.mozilla.org/releases/mozilla-1.9.2/rev/ed0b2e310c16
Attachment #496491 - Attachment description: (Bv1) s/ok(true/todo(false/ when test plugin is not OOP [Checked in: Comment 9] → (Bv1) s/ok(true/todo(false/ when test plugin is not OOP [Checked in: Comment 9 & 10]
(Assignee)

Updated

7 years ago
status1.9.2: --- → .15-fixed
(Assignee)

Comment 11

7 years ago
Ftr,

m-1.9.2:
Linux: "TEST-KNOWN-FAIL"
OSX: test not built, afaics.
Windows: "TEST-KNOWN-FAIL"

m-c:
Linux: "TEST-PASS"
OSX 10.5: "TEST-KNOWN-FAIL"
OSX 10.6: "TEST-PASS"
Windows: "TEST-PASS"
Status: RESOLVED → VERIFIED
(Assignee)

Comment 12

7 years ago
SeaMonkey: "TEST-KNOWN-FAIL + Seamonkey"

V.Fixed.
The "3.6.15" we're releasing today does not fix this bug, the release containing this bug fix has been renamed to "3.6.16" and the bugzilla flags will be updated to reflect that soon. Today's release is a re-release of 3.6.14 plus a fix for a bug that prevented many Java applets from starting up.
(Assignee)

Updated

7 years ago
Blocks: 647875
(Assignee)

Comment 14

7 years ago
Ftr,

Bug 647875 comment 0:
{
Serge Gautherie (:sgautherie)      2011-04-05 12:23:05 PDT

Ftr, this test (now) crashes the test suite on my Windows 2000 :-/
}

[Mozilla/5.0 (Windows NT 5.0; rv:2.0pre) Gecko/20110330 Firefox/4.0pre] (mozilla-2.0-win32/1301536603)
(http://hg.mozilla.org/releases/mozilla-2.0/rev/70e0a1a2da21)
{
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/modules/plugin/test/test_crash_submit.xul | Exited with code -1073741819 during test run
...
PROCESS-CRASH | chrome://mochitests/content/chrome/modules/plugin/test/test_crash_submit.xul | application crashed (minidump found)
No symbols path given, can't process dump.
Neither MINIDUMP_STACKWALK nor MINIDUMP_STACKWALK_CGI is set, can't process dump.
}

[Mozilla/5.0 (Windows NT 5.0; rv:6.0a1) Gecko/20110421 Firefox/6.0a1 SeaMonkey/2.2a1pre] (comm-central-trunk-win32/1303446376)
{
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/modules/plugin/test/test_crash_submit.xul | Exited with code -1073741819 during test run
}

I assume CrashReporter (in-test observer) doesn't work ... so I just do get the (in-test) crash instead :-/
I don't know why, but I don't expect (CrashReporter) people to care for Windows 2000 anymore :-|
You need to log in before you can comment on or make changes to this bug.